org.apache.ignite.internal.visor.igfs

## Enum VisorIgfsMode

- java.lang.Object
- - java.lang.Enum<VisorIgfsMode>
  - - org.apache.ignite.internal.visor.igfs.VisorIgfsMode

All Implemented Interfaces:
  Serializable, Comparable<VisorIgfsMode>

Deprecated.

    @Deprecated
    public enum VisorIgfsMode
    extends Enum<VisorIgfsMode>

`IGFS` mode defining interactions with underlying secondary Hadoop file system. Secondary Hadoop file system is provided for pass-through, write-through, and read-through purposes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DUAL_ASYNC` Deprecated. In this mode `IGFS` will cache files locally and also asynchronously write them through to secondary Hadoop file system.
`DUAL_SYNC` Deprecated. In this mode `IGFS` will cache files locally and also synchronously write them through to secondary Hadoop file system.
`PRIMARY` Deprecated. In this mode IGFS will not delegate to secondary Hadoop file system and will cache all the files in memory only.
`PROXY` Deprecated. In this mode IGFS will not cache any files in memory and will only pass them through to secondary Hadoop file system.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static @Nullable VisorIgfsMode` `fromOrdinal(int ord)` Deprecated. Efficiently gets enumerated value from its ordinal.
`static VisorIgfsMode` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static VisorIgfsMode[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMARY

    public static final VisorIgfsMode PRIMARY

Deprecated.
In this mode IGFS will not delegate to secondary Hadoop file system and will cache all the files in memory only.

#### PROXY

    public static final VisorIgfsMode PROXY

Deprecated.
In this mode IGFS will not cache any files in memory and will only pass them through to secondary Hadoop file system. If this mode is enabled, then secondary Hadoop file system must be configured.

#### DUAL_SYNC

    public static final VisorIgfsMode DUAL_SYNC

Deprecated.
In this mode `IGFS` will cache files locally and also synchronously write them through to secondary Hadoop file system.

If secondary Hadoop file system is not configured, then this mode behaves like `PRIMARY` mode.

#### DUAL_ASYNC

    public static final VisorIgfsMode DUAL_ASYNC

Deprecated.
In this mode `IGFS` will cache files locally and also asynchronously write them through to secondary Hadoop file system.

If secondary Hadoop file system is not configured, then this mode behaves like `PRIMARY` mode.

### Method Detail

#### values

    public static VisorIgfsMode[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorIgfsMode c : VisorIgfsMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorIgfsMode valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorIgfsMode fromOrdinal(int ord)

Deprecated.
Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022